<?php

/*******************************************************************************
/*******************************************************************************
    doorGets 6.0 - 05, March 2014
    doorgets it's free PHP Open Source CMS PHP & MySQL
    Copyright (C) 2012 - 2014 By Mounir R'Quiba -> Crazy PHP Lover
    
/*******************************************************************************

    Website : http://www.doorgets.com
    Contact : http://www.doorgets.com/?contact
    
/*******************************************************************************
    -= One life, One code =-
/*******************************************************************************
    
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
******************************************************************************
******************************************************************************/


class moduleInboxView extends doorgetsWebsiteView{
    
    public function __construct($WebsiteObject){
        
        parent::__construct($WebsiteObject);
        
    }
    
    
    public function getContent(){
        
        $Website = $this->Website;
        $Module = $Website->getModule();
        $moduleInfo = $Website->getActiveModules();
        
        $templateDefault = 'modules/inbox/inbox_form';
        if(array_key_exists($Module,$moduleInfo)){
            
            
            if(!empty($moduleInfo[$Module]['all']['template_index'])){
                $templateDefault = $moduleInfo[$Module]['all']['template_index'];
                $templateDefault = str_replace('.tpl.php','',$templateDefault);
            }
            
        }
        $content = $Website->getContent();
        
        $tplModulePage = Template::getWebsiteView($templateDefault,$Website->getTheme());
        ob_start(); if(is_file($tplModulePage)){ include $tplModulePage; }  $out = ob_get_clean();
        
        return $out;
        
    }
}